Package: org.apache.groovy.groovysh.util

## [Groovy] Class ScriptVariableAnalyzer.VisitorSourceOperation

- org.apache.groovy.groovysh.util.ScriptVariableAnalyzer.VisitorSourceOperation

- All Implemented Interfaces and Traits:
    IPrimaryClassNodeOperation

      static class ScriptVariableAnalyzer.VisitorSourceOperation
      extends Object
      implements IPrimaryClassNodeOperation

  custom IPrimaryClassNodeOperation to be able to hook our code visitor

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GroovyClassVisitor` | `visitor`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VisitorSourceOperation(GroovyClassVisitor visitor)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final GroovyClassVisitor visitor

  - ### Constructor Detail

    - #### VisitorSourceOperation(GroovyClassVisitor visitor)

  - ### Method Detail

    - #### @Override
      void call(SourceUnit source, GeneratorContext context, ClassNode classNode)